From: [email-masked]
Date: Sun, 22 May 94 07:42:30 EDT

Contact information for GMAD was in the job posting: Gay Men of African
Descent, 666 Broadway: Ste. 520, New York, NY 10012-2317. (212) 420-0773; FAX
982-3321.

Formal mission statement: "GMAD, a supportive organization, dedicated to
addressing the needs of our community, focuses on health, education, advocacy
and consciousness raising. We are committed to fighting racism, sexism and
homophobia, while creating nurturing environments that affirm, celebrate and
empower Gay men of African descent in all our diversity."

The shorthand of how we're doing that currently is through "support,
services, and advocacy for the health, education and political empowerment"
of BGMs.